Subject: Re: Anyone success with 440GR Rev.B (1.1)?

From: Roland Dreier <[email-masked]>
Date: Fri, 02 Feb 2007 07:45:51 -0800

> I have complete system (U-Boot, Linux, userspace) running on 440GR Rev.A. 
 > However after mounting newer chip revision (Rev.B, 1.1) U-Boot and Linux boots fine, however when trying to execute first userland application (init), I get:
 > 
 > Freeing unused kernel memory: 112k init
 > init has generated signal 4 but has no handler for it
 > Kernel panic - not syncing: Attempted to kill init!

signal 4 is SIGILL.  Just a guess but do you have a cputable entry for
440GR rev B in your arch/powerpc/kernel/cputable.c?  If you don't then
I think the default kernel settings will result in the wrong cacheline
size being used, which leads to userspace often dying with illegal
instruction traps.

(I don't see any 440GR entries in cputable.c, neither rev A nor rev B,
in the upstream kernel so I'm assuming you're patching your kernel
somehow.  So checking that your patch covers rev B would be the first
thing to do)

 - R.